package com.cyl.manager.ums.mapper;

import com.cyl.manager.ums.domain.MemberDoorLock;

import java.util.List;

/**
 * 门锁信息Mapper接口
 * 
 * @author daixiande
 */
public interface MemberDoorLockMapper {
    /**
     * 查询门锁信息
     * 
     * @param id 门锁信息主键
     * @return 门锁信息
     */
    MemberDoorLock selectById(Long id);

    /**
     * 查询门锁信息列表
     * 
     * @param memberDoorLock 门锁信息
     * @return 门锁信息集合
     */
    List<MemberDoorLock> selectList(MemberDoorLock memberDoorLock);

    /**
     * 新增门锁信息
     * 
     * @param memberDoorLock 门锁信息
     * @return 结果
     */
    int insert(MemberDoorLock memberDoorLock);

    /**
     * 修改门锁信息
     * 
     * @param memberDoorLock 门锁信息
     * @return 结果
     */
    int update(MemberDoorLock memberDoorLock);

    /**
     * 删除门锁信息
     * 
     * @param id 门锁信息主键
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 批量删除门锁信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);

    /**
     * 更新或插入门锁信息
     *
     * @param memberDoorLock 门锁信息
     * @return 结果
     */
    int insertOrUpdate(MemberDoorLock memberDoorLock);

    MemberDoorLock selectByMemberId(Long memberId);

    void deleteMemberDoorLockByMemberId(Long memberId);
}
